#version 400 

uniform mat4 proj;
uniform mat4 model;

layout(location = IGLU_VERTEX)   in vec3 vertex;   // Sends vertex data from models here

// This is the actual code that is executed.
void main( void )
{ 
	vec4 esPos   = model * vec4( vertex.xy, 0.0, 1.0f );
	//esPos       /= esPos.w;
	
	gl_Position  = proj * ( esPos ); 
}